> For the complete documentation index, see [llms.txt](https://docs.lukkit.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.lukkit.net/gui/gui_inventory_click.md).

# Run function if an inventory item has been clicked

## Run a function if an inventory item has been clicked

```lua
plugin.registerEvent("InventoryClickEvent", function(e)
  -- Get info
  local player = e:getWhoClicked()
  local inventoryName = e:getView():getTitle()

  -- Test if the clicked slot is not empty
  if e:getCurrentItem() then
     if e:getCurrentItem():getItemMeta() then
        if e:getCurrentItem():getItemMeta():getDisplayName() then
           -- Get item text
           local clickedItemName = e:getCurrentItem():getItemMeta():getDisplayName()
           -- Test if open inv has contains the name
           if string.find(inventoryName, "This is the inventory title") then
              if string.find(clickedItemName, "WoW crazy item") then
                  -- Here comes your code if the generated item with this name is clicked
              end
              -- Disable dragging or dropping item to this inv
              e:setCancelled(true)
           end
        end
     end
  end
end)
```

You need to register the event *InventoryClickEvent* with [`plugin.registerEvent(event: string, callback: function)`](https://docs.lukkit.net/globals/global-variables/plugin) to test the clicked item in inventory


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.lukkit.net/gui/gui_inventory_click.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
